Page MenuHomePhabricator

Urdu IME: Provide a variant of the "صوتی" which uses Latin numerals like "ٹرانسلٹریشن" does
Closed, ResolvedPublic

Description

Convention on urwiki is to use Latin numerals, which is not possible with their favoured (phonetic) IME.

https://github.com/wikimedia/jquery.ime/blob/HEAD/rules/ur/ur-phonetic.js is the definition with [ '1', '۱' ] rather than [ '1', '1' ].

(Reported in person by @hindustanilanguage.)

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 22 2016, 2:04 PM

We have the issue again coming up at Wiki Conference India, 2016. Will sending in a patch, replacing all patterns in https://github.com/wikimedia/jquery.ime/blob/HEAD/rules/ur/ur-phonetic.js#L13 to look like:

[ '1', '1' ],
[ '2', '2' ],
.... etc

would just work ? I can maybe send in - if I get some pointers here!

This should work. Please submit pull request to upstream at, https://github.com/wikimedia/jquery.ime

This should work. Please submit pull request to upstream at, https://github.com/wikimedia/jquery.ime

https://github.com/wikimedia/jquery.ime/pull/451 submitted upstream!

hindustanilanguage added a comment.EditedAug 8 2016, 2:44 PM

Still we are getting same set of numbers (۱۲۳) and **not (123)** -- which we would like to see as output.

Ijon added a subscriber: Ijon.Aug 11 2016, 8:28 AM

A little more patience, @hindustanilanguage. It's being resolved, but isn't deployed on the wiki just yet.

The change is now merged upstream. https://github.com/wikimedia/jquery.ime/pull/451 should be fixed after they update the production server to master.

Change 304990 had a related patch set uploaded (by Nikerabbit):
Update jquery.ime to 10ae4c0

https://gerrit.wikimedia.org/r/304990

Change 304990 merged by jenkins-bot:
Update jquery.ime to 10ae4c0

https://gerrit.wikimedia.org/r/304990

Change 305007 had a related patch set uploaded (by KartikMistry):
Update jquery.ime to 10ae4c0

https://gerrit.wikimedia.org/r/305007

Change 305007 abandoned by KartikMistry:
Update jquery.ime to 10ae4c0

https://gerrit.wikimedia.org/r/305007

Jdforrester-WMF closed this task as Resolved.Aug 16 2016, 6:50 PM
Jdforrester-WMF claimed this task.

This is now rolling out to early production sites today, and will be on Wikipedias as of Thursday. Thanks all!